%define pkgname geoipupdate

Name:		GeoIP-update
Version:	2.0.2
Release:	1%{?dist}
Epoch:		100
Summary:	GeoIP update tool

Group:		Applications/Databases
License:	LGPLv2+ and GPLv2+
URL:		https://github.com/maxmind/geoipupdate
Source0:	geoipupdate-%{version}.tar.bz2
Source1:	GeoIP.conf
Source2:	%{pkgname}.sysconfig
Source3:	%{pkgname}.cron
Patch0:		geoipupdate-conf-path.patch

BuildRequires:	curl-devel
Requires:	GeoIP

%description
GeoIP update tool

%prep
%setup -q -n geoipupdate-%{version}
%patch0 -p1


%build
./bootstrap
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}

%{__mkdir} -p %{buildroot}%{_sysconfdir}/{GeoIP,sysconfig}
%{__install} -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/GeoIP/GeoIP.conf
%{__install} -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/%{pkgname}

%{__mkdir} -p %{buildroot}%{_sysconfdir}/cron.weekly
%{__install} -m 755 %{SOURCE3} %{buildroot}%{_sysconfdir}/cron.weekly/%{pkgname}

%files
%defattr(-,root,root)
%{_bindir}/geoipupdate
%{_sysconfdir}/GeoIP/GeoIP.conf
%config(noreplace) %{_sysconfdir}/sysconfig/%{pkgname}
%{_sysconfdir}/cron.weekly/%{pkgname}
%exclude %{_sysconfdir}/GeoIP.conf.*
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*


%changelog
* Thu Oct 23 2014 JoungKyun.Kim <http://oops.org> 100:1.6.2-1%{?dist}
- packaged
- chage default config path to /etc/GeoIP
